Bug 1183877 - thrift-0.9.3 is available
Summary: thrift-0.9.3 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: thrift
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Will Benton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 1349205
TreeView+ depends on / blocked
 
Reported: 2015-01-20 04:17 UTC by gil cattaneo
Modified: 2017-04-01 17:04 UTC (History)
6 users (show)

Fixed In Version: thrift-0.9.1-15.el7 thrift-0.10.0-2.fc26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-29 20:51:51 UTC
Type: Bug


Attachments (Terms of Use)
patch + spec changeset (7.74 KB, patch)
2015-09-29 10:14 UTC, Marcin Juszkiewicz
no flags Details | Diff
patch + spec changeset + maven (11.59 KB, patch)
2015-09-29 12:19 UTC, Marcin Juszkiewicz
no flags Details | Diff

Description gil cattaneo 2015-01-20 04:17:21 UTC
Latest upstream release: 0.9.2
Current version/release in Fedora Rawhide: 0.9.1-13.2.fc22
URL: https://github.com/apache/thrift/tags
Please, consider upgrading

There is a new component usefull for packaging contrib/thrift-maven-plugin [1]
Originally this plugin was released @ https://github.com/dtrott/maven-thrift-plugin.

[1] https://issues.apache.org/jira/browse/THRIFT-1536

Comment 1 Marcin Juszkiewicz 2015-09-29 10:14:54 UTC
Created attachment 1078268 [details]
patch + spec changeset

This is my attempt to get thrift updated to 0.9.2 version to get it into buildable state on aarch64 (0.9.1 fails).

bug 1198208 (lack of libevent) is handled as well.

What needs to be added it Lua support (which I disabled as it is new thing).

changes:
- refreshed patches
- added missing build dependencies
- new pkg-config file in -devel

Comment 2 Marcin Juszkiewicz 2015-09-29 12:19:54 UTC
Created attachment 1078309 [details]
patch + spec changeset + maven

included changes from Gil:
- maven plugin
- %license macro

Comment 3 gil cattaneo 2016-02-11 15:07:03 UTC
Latest upstream release: 0.9.3

Comment 4 Jan Kurik 2016-02-24 13:20:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 5 Pavel Raiskup 2016-07-19 16:34:05 UTC
Will, this issue blocks the Cassandra initiative, and we will probably push
the changes soon.  Please speak up if you feel this is not a good idea.

Also, Tomáš, what particular version of thrift is needed?

Comment 6 Will Benton 2016-07-19 18:04:48 UTC
Pavel, if you have a working build of Thrift 0.9.3, I'd say push the changes.  I looked at it a few weeks ago but didn't have a chance to make it work.  Thrift is an extremely brittle upstream (and a high-touch dependency), but I haven't heard from anyone yet that the upgrade will break their packages.

Comment 7 Tomas Repik 2016-07-20 05:38:05 UTC
Version 0.9.2 of thrift is required for Cassandra.

Comment 8 Christopher Tubbs 2016-08-12 00:19:17 UTC
I initially had some hesitation about thrift-0.9.3, but my projects have recently started using it (we used to use 0.9.1). We had to modify some code for things to work with it well, but I think it's doable. I, for one, would be okay with upgrading. Ideally, we could have 0.9.1, 0.9.2, and 0.9.3 all in Fedora, but I realize that's probably too much work. So, I'd prefer 0.9.3 at this point.

Comment 9 Tomas Repik 2016-11-02 11:24:39 UTC
Are we gonna have a new version in fedora any time soon?

Comment 10 Christopher Tubbs 2016-12-23 01:03:46 UTC
I think this should be done for F26. It is needed for bz#1349205

Comment 11 Tomas Repik 2017-01-25 15:24:17 UTC
no longer needed for cassandra upstream is getting rid of thrift

Comment 12 Christopher Tubbs 2017-01-31 22:45:28 UTC
This is still needed for Accumulo, although upstream is interested in getting rid of thrift, they're still going to need it for the immediate future.

Comment 13 Christopher Tubbs 2017-02-09 22:44:55 UTC
Thrift 0.10.0 is tested and works with Accumulo. So, updating to that would be great. I've already created a patch upstream for Accumulo to update to it, and will use that patch in Fedora as soon as thrift is updated.

Comment 14 Christopher Tubbs 2017-02-10 20:13:46 UTC
I haven't seen much response from the package owner, so I'm requesting admin access to help maintain it.

Accumulo needs at least 0.9.3 (but preferably 0.10.0) to update to its own latest release version 1.8

Comment 15 Will Benton 2017-02-10 20:26:43 UTC
Christopher, I've been traveling for most of the last couple of weeks but was going to ask if you'd be willing to revise the package.  Since I think Accumulo is the most active package still depending on Thrift in Fedora, it would be great if you were interested in comaintaining Thrift to ensure it meets your needs.  I've given you rights to make the update.  Thanks!

Comment 16 Dominika Krejčí 2017-02-14 10:57:58 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

Since users aren't expected to import this tool from Python code,
you can just switch to /usr/bin/python3. Alternatively, if you want or
need to keep a Python 2 version, the current best practice is to provide
subpackages -- this is called "Common SRPM" in the guidelines.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 25 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/

Comment 17 Christopher Tubbs 2017-02-14 17:23:09 UTC
(In reply to Dominika Krejčí from comment #16)
> Upstream, this software supports Python 3. Please provide a Python 3
> package for Fedora.

I'm currently working on updating the package in Rawhide to version 0.10.0. I will make every effort to address the python 3 issue as I do. If that goes well in rawhide, I may create a subpackage for F25 for python 3, but I don't plan on updating to 0.10.0 in F25, because thrift makes too many breaking changes between versions and I don't want to break F25 users. Given how few people are using thrift, it may not be worth the effort for F25.

Comment 18 Fedora End Of Life 2017-02-28 09:40:01 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 19 Fedora Update System 2017-03-14 10:41:46 UTC
thrift-0.9.1-15.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-95f9ce01bc

Comment 20 Fedora Update System 2017-03-14 10:42:13 UTC
thrift-0.10.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-64b8696983

Comment 21 Fedora Update System 2017-03-14 23:19:13 UTC
thrift-0.9.1-15.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-95f9ce01bc

Comment 22 Fedora Update System 2017-03-15 04:22:57 UTC
thrift-0.10.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-64b8696983

Comment 23 Fedora Update System 2017-03-29 20:51:51 UTC
thrift-0.9.1-15.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2017-04-01 17:04:49 UTC
thrift-0.10.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.